package com.bonus.material.warningAnalysis.mapper;

import com.bonus.material.warningAnalysis.domain.UseMaintenanceWarningBean;

import java.util.List;

/**
 * @description 工程在用检修预警
 * @author hay
 * @date   2025/3/6 15:32
 */
public interface UseMaintenanceWarningMapper
{

    /**
     * 查询
     * @param bean
     * @return
     */
    public List<UseMaintenanceWarningBean> getList(UseMaintenanceWarningBean bean);


    List<UseMaintenanceWarningBean> getWarningLastMonthList(UseMaintenanceWarningBean useMaintenanceWarningBean);

    UseMaintenanceWarningBean getProjectManager(UseMaintenanceWarningBean bean);

    List<UseMaintenanceWarningBean> getUserList(UseMaintenanceWarningBean bean);

    UseMaintenanceWarningBean getUserPhoneById(UseMaintenanceWarningBean item);

    List<UseMaintenanceWarningBean> getWarningLastDayList(UseMaintenanceWarningBean useMaintenanceWarningBean);

    List<UseMaintenanceWarningBean> getUserManger(UseMaintenanceWarningBean bean);

    /**
     * 查询安全工器具检修列表
     * @param bean
     * @return
     */
    List<UseMaintenanceWarningBean> getOverTimeListList(UseMaintenanceWarningBean bean);
}
